Bug 1184853 - (CVE-2021-22115) VUL-0: CVE-2021-22115: CAPI logging service broker credentials
(CVE-2021-22115)
VUL-0: CVE-2021-22115: CAPI logging service broker credentials
Status: RESOLVED UPSTREAM
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Major
: ---
Assigned To: Jan Dubois
Security Team bot
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2021-04-16 08:43 UTC by Alexandros Toptsoglou
Modified: 2021-05-28 04:59 UTC (History)
2 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexandros Toptsoglou 2021-04-16 08:43:26 UTC
Hello all,

We have identified a critical-severity issue with* CAPI( Cloud
Controller-API)*. This issue has been assigned CVE-2021-22115.

*Description of the issue*

* *

 We have identified a critical issue which impacts CAPI( versions prior
to 1.106.0). It was observed that CAPI database would log service broker
password in plain text whenever  a job to clean up orphaned items was
run by Cloud Controller.

*How to tell if your CF installation is affected*

Your CF installations are affected if both of the following is true:

●      CAPI versions prior to 1.106.0 are used .

●      Change the default value of  db logging config field


*Immediate Mitigation*

●      Upgrade CAPI version to 1.106.0 or higher.


*When the CVE notice will go public*

The fixed versions of CAPI are already out so we are planning to
disclose the issue in public within a week after this short embargo.

Please let us know if you have any questions or need further information.

Thank you,

Khushboo Soni
Comment 2 Tim Hardeck 2021-04-16 09:18:13 UTC
Reassigning to current maintainer for kubecf.
Comment 4 Marcus Meissner 2021-05-20 11:32:47 UTC
is public

https://www.cloudfoundry.org/blog/cve-2021-22115-capi-logs-service-broker-credentials/

Vendor

Cloud Foundry Foundation
Description

Cloud Controller API versions prior to 1.106.0 logs service broker credentials if the default value of db logging config field is changed. CAPI database logs service broker password in plain text whenever a job to clean up orphaned items is run by Cloud Controller. A malicious user with access to those logs may gain unauthorised access to service broker.
Affected Cloud Foundry Products and Versions

Severity is critical unless otherwise noted.

    CAPI
        All versions prior to 1.106.0
    CF Deployment
        All versions prior to 16.2.0

Mitigation

Users of affected products are strongly encouraged to follow the mitigations below. The Cloud Foundry project recommends upgrading the following releases:

    CAPI
        Upgrade all versions to 1.106.0 or greater
    CF Deployment
        Upgrade all versions to 16.2.0 or greater

History

2021-03-30: Initial vulnerability report published.
Comment 5 Marcus Meissner 2021-05-20 11:33:23 UTC
if there is any real chance of this getting fixed, i would keep it open.

If not, we can close it
Comment 6 Jan Dubois 2021-05-28 04:59:51 UTC
We do not enable db logging by default, so standard installations of CAP-2 are unaffected.

While it is theoretically possible for a user to change this, we do not make this explicitly configurable; it would have to be done by the mechanism that allows you to override any property of any of the bundled releases.

This issue will be addressed when we make another release, but since we are essentially unaffected, this is not a priority.